Subject: [PATCH 0/2] Remember and use GIT_EXEC_PATH on exec()'s

From: Michal Ostrowski <[email-masked]>
Date: Mon, 09 Jan 2006 18:34:37 -0500

I've been trying to setup a git repository for access via ssh, on a
system where git is to be installed under ~user/bin, and ~user/bin is
not included in the PATH that sshd provides.

Consequently I need to execute something like:

git-clone -u /home/user/bin/git-upload-pack \
ssh://user@system/home/user/repo.git repo

When git-upload-pack executes on the remote system, it tries to execute
git-rev-list and fails, since /home/user/bin is not in the path.

The following patches handle this issue by appending GIT_EXEC_PATH to
PATH prior to exec calls (via git_setup_exec_path()).  Also, the value
of ${bindir} at build time is encoded and used as a default value for
"GIT_EXEC_PATH", if the latter is not present. 

-- 
Michal Ostrowski <[email-masked]>